## iview.pl: Displaying and Editing Files

### Use

iview.pl is a Perl script with which you display and edit module and description files. The program that is specified in the $EDITOR environment variable is used as the editor.

iview.pl [-l <level>] <file>

Parameters

Name | Description
<file> | File to be opened Do not specify the complete path, only the file name. The naming conventions for files ensure that the file name is unique.
-l <level> | The version of the file that is located in the search hierarchy at <level> is accessed

The script proceeds as follows:

· If the <file> file is located in the src or desc subdirectory in the MaxDB_DEV development area, it is opened directly there and can be processed.

· If the file is not located in the development area, then the script searches for it using the search hierarchy and copies the file for display in the tmp subdirectory in the MaxDB_DEV development area.

Changes to a file can only be translated if the file was previously copied with the icp.pl script to the development area and changed there.

### Example

iview.pl dbmcli.lnk

See also:

Directory Structure of the Development Environment